#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
int V,k,i,C,c1,c2,c5,broj,ost;
printf("Unsite sumu V ");
scanf("%d",&V);
i=0;
k=0;
broj=0;
while((V/pow(10,i))>=1)
{
    i++;
}
  k=i-1;
  ost=pow(10,k);
  C=V/(pow(10,k));
  ost=V%ost;
  c5=C/5;
  c2=(C%5)/2;
  c1=(C%5)%2;
  broj=c5+c2+c1;
  while((k-1)>=0)
  {
      ost=pow(10,k);
      C=(V%ost)/(pow(10,(k-1)));
      c5=C/5;
      c2=(C%5)/2;
      c1=(C%5)%2;
      broj=broj+c5+c2+c1;
    k=k-1;
  }
  printf("Broj novcanica je: %d",broj);
    return 0;
}